<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='css/sidebar.css') }}">
  </head>

  <body style="overflow-x: hidden;">
    <div class="sidenav" style="width: auto;border-right: 2px solid #dcdcdc;">
      <div class="head-nav-container">
        <div class="row">
          <div class="col-sm-4">
            <img
              src="{{url_for('static', filename = 'images/head_nav.png')}}"
              alt=""
              srcset=""
              style="padding-left: 20px;width: 90px;"
            />
          </div>
          <div class="col-sm-8">
            <div class="text-section-nav">
              <div class="main-nav" >Oganikku</div>
              <div class="sub-nav">オーガニック</div>
            </div>
          </div>
        </div>
      </div>


      {% if request.path == "/shop/vegetables" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/veg.png')}}" 
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Vegetables </span>
        </a>
      </div>
      {% else %}

      <div class="non-active">
        <a href="/shop/vegetables">
          <img
            src="{{url_for('static', filename = 'images/veg.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Vegetables </span>
        </a>
      </div>
      {% endif %} {% if request.path == "/shop/fruits" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/fruit.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Fruits </span>
        </a>
      </div>
      {% else %}
      <div class="non-active">
        <a href="/shop/fruits">
          <img
            src="{{url_for('static', filename = 'images/fruit.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Fruits </span>
        </a>
      </div>
      {% endif %}

      <!-- 
        <a  class="active"  href="/vegetables">Vegetables</a>
        <a  class="active"  href="/fruits">fruits</a> -->
      {% if request.path == "/shop/seasonal" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/season.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna">
            Seasonal
         
          </span>
        </a>
      </div>
      {% else %}
      <div class="non-active">
        <a href="/shop/seasonal">
          <img
            src="{{url_for('static', filename = 'images/season.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna">
            Seasonal
         </span>
          </span>
        </a>
      </div>
      {% endif %} 
      
      {% if request.path == "/chat" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/msg.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Messages </span>
        </a>
      </div>
      {% else %}
      <div class="non-active">
        <a href="/chat">
          <img
            src="{{url_for('static', filename = 'images/msg.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />
          <span class="textIna"> Messages </span>
        </a>
      </div>


      {% endif %}
      
      {% if request.path == "/shop/bill" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/bill.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Bills </span>
        </a>
      </div>
      {% else %}
      <div class="non-active">
        <a href="/shop/bill">
          <img
            src="{{url_for('static', filename = 'images/bill.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Bills </span>
        </a>
      </div>
      {% endif %}

      <span style="padding-left: 4%; font-size: 15px; color: #dfbc9b"
        >other</span
      >
      {% if request.path == "/shop/basket" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/basket.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Basket </span>
        </a>
      </div>
      {% else %}
      <div class="non-active">
        <a href="/shop/basket">
          <img
            src="{{url_for('static', filename = 'images/basket.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Basket </span>
        </a>
      </div>
      {% endif %}
       {% if request.path == "/shop/delivery" %}
      <div class="active" style="margin-bottom: 5%;">
        <a>
          <img
            src="{{url_for('static', filename = 'images/deliverly.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Delivery Status </span>
        </a>
      </div>
      {% else %}
      <div class="non-active" style="margin-bottom: 5%;">
        <a href="/shop/delivery">
          <img
            src="{{url_for('static', filename = 'images/deliverly.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />
          <span class="textIna"> Delivery Status </span>
        </a>
      </div>
      {% endif %}

      {% if current_user.is_admin() and  request.path == "/admin/order" %}
      <div class="active" style="margin-bottom: 5%;">
        <a href="{{url_for('admin.order_list')}}">

          <span class="textIna" style="color:white;padding-left:5px;"> Order management </span>
        </a>
      </div>
      {% elif(current_user.is_admin()) %}
      <div class="non-active" style="margin-bottom: 5%;">
        <a href="{{url_for('admin.order_list')}}">

          <span class="textIna" style="padding-left:5px;"> Order management </span>
        </a>
      </div>
      {% endif %}
      

      {% if request.path == "/profile" %}
      <div class="logout" style="padding-left: 8%;margin-top: 20%;">
        <form  action="/logout" method="post" name="logout">   
      
          <div style="display: flex;">
            <div
            onclick="logout.submit()"
            style="background-color: white; padding: 9px; border-radius: 10px;cursor: pointer;" 
            
          >
            <img
              src="{{url_for('static', filename = 'images/left-arrow.png')}}"
              alt=""
              srcset=""
              style="width: 21px; height: 13px; padding-left: 4px"
            />
            </div>
            <div style="padding-left: 10px;font-weight: bold;font-size: 20px;color:#7b7b7b;;">
              Log Out
            </div>
          </div>
       
  
 





     </form>
     </div>
    </div>
    <!-- <form  action="/logout" method="post" name="logout">
      <button type="submit">
          Logout
      </button>
    </form>  -->
      {% else %}
    
      <div class="profile-section">
        <div class="profile-container">
            <div class="img-profile-container">
                <img src="{{url_for('static', filename = 'images/user_profile/'+current_user.get_profile().profile_image)}}" alt="" srcset="" class="img-profile">
            </div>
            <div class="content-profile-container" style="margin-top:4%;">
                <div class="profile-name">
                  {{ current_user.get_profile().fullname }}
                </div>
              <a href="{{url_for('user.profile')}}">  
                <div class="profile-btn" style="margin-top:4%;font-size:20px;font-weight: 500;">
                  Open Profile
                </div>
              </a>
            </div>
        </div>
      </div>
      {% endif %}
    </div>






  </body>
</html>
<script>

  
</script>
